package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.CheckInTabPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraCheckInTabDO;

import java.util.List;

/**
 * （附件）入住登记表 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyExtraCheckInTabService {

    Long create(ElderlyExtraCheckInTabDO createReqVO);

    void update(ElderlyExtraCheckInTabDO updateReqVO);

    void delete(Long id);

    PageResult<ElderlyExtraCheckInTabDO> findPage(CheckInTabPageReqVO reqVO);

    ElderlyExtraCheckInTabDO getDetail(Long id);

    List<ElderlyExtraCheckInTabDO> getListByElderId(Long elderId);

}
